<?php
/**
 * 金戈企业建站系统：动态调整图片大小，按同比例缩放。
 * 在模板中应用。应用方法：
 * <img src="image.php?image={image=$image[row].cp_img}" border="0" align="right"/>
 * 上面的代码应该放在一个模板的循环内，在每次循环的时候取出图片地址，并用该文件指定的方法进行同比列缩放。
 * 显然这个文件放在该目录下有些不合适，但是为了调用方便。只能将就下了。
 * 
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  Image.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */

		$image = $_REQUEST['image'];
		$max_width = $_REQUEST['max_width'];
		$max_height = $_REQUEST['max_height'];

		if (!$max_width)
			$max_width = 140;
		if (!$max_height)
			$max_height = 140;

		$size = GetImageSize($image);
		$width = $size[0];
		$height = $size[1];

		$x_ratio = $max_width / $width;
		$y_ratio = $max_height / $height;

		if ( ($width <= $max_width) && ($height <= $max_height) ) 
		{
		$tn_width = $width;
		$tn_height = $height;
		}
		else if (($x_ratio * $height) < $max_height)
		{
		$tn_height = ceil($x_ratio * $height);
		$tn_width = $max_width;
		}
		else 
		{
		$tn_width = ceil($y_ratio * $width);
		$tn_height = $max_height;
		}

		$src = ImageCreateFromJpeg($image);
		$dst = imagecreatetruecolor($tn_width,$tn_height);
		ImageCopyResized($dst, $src, 0, 0, 0, 0,
		$tn_width,$tn_height,$width,$height);
		ImageJpeg($dst, null, -1);
		ImageDestroy($src);
		ImageDestroy($dst);
		
?>